<?php 
  session_start();
  include_once "php/config.php";
  if(!isset($_SESSION['unique_id'])){
    header("location: chat_login.php");
  }
?>
<?php include_once "header.php"; ?>
<body>

  <div class="wrapper">
    
    <section class="chat-area">

      <header>

        <?php 
          $user_id = mysqli_real_escape_string($conn, $_GET['user_id']);
          $sql = mysqli_query($conn, "SELECT * FROM users WHERE unique_id = {$user_id}");
          if(mysqli_num_rows($sql) > 0){
            $row = mysqli_fetch_assoc($sql);
          }else{
            header("location: users.php");
          }
        ?>

        <a href="users.php" class="back-icon" style="color: white;"><i class="fas fa-arrow-left"></i></a>
        
        <img src="php/images/<?php echo $row['img']; ?>" alt="profile picture">
       
        <div class="details">
          <span style="color: white;" ><?php echo $row['fname']. " " . $row['lname'] ?></span>
          <p style="color: yellow;"><?php echo $row['status']; ?></p>
        </div>
      </header>

      <div class="chat-box" style="background-image: url('background.jpg');">

      </div>

      <form action="#" class="typing-area">
        <input type="text" class="incoming_id" name="incoming_id" value="<?php echo $user_id; ?>" hidden>
        <input type="text" name="message" class="input-field" placeholder="Type a message here..." autocomplete="on">
        <button><i class="fas fa-paper-plane"></i></button>
      </form>
    </section>
  </div>

  <script src="javascript/chat.js"></script>

</body>
</html>
