<?php
session_start();
include 'includes/conn.php';  // Include the database connection file
date_default_timezone_set('Africa/Kampala'); // Set the appropriate timezone

// Include PHPMailer files
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'includes/PHPMailer/src/Exception.php';
require 'includes/PHPMailer/src/PHPMailer.php';
require 'includes/PHPMailer/src/SMTP.php';

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    // Get the email and voter (registration number) from the form submission
    $email = $_POST['email'];
    $voter = $_POST['voter'];

    // Check if both the registration number (voter) and email exist in the 'voters' table
    $sql = "SELECT * FROM voters WHERE email = '$email' AND voters_reg_no = '$voter'";
    $query = $conn->query($sql);

    if ($query->num_rows > 0) {  // If both email and voter registration number are valid
        $row = $query->fetch_assoc();  // Fetch the voter's data
        $firstname = $row['firstname']; // Get the first name
        $lastname = $row['lastname'];   // Get the last name

        // Generate a secure random token
        $token = bin2hex(random_bytes(10));
        // Set token expiry to 1 hour
        $expiry = date("Y-m-d H:i:s", strtotime('+1 hour'));

        // Store the token and expiry in the database for that user
        $update_sql = "UPDATE voters SET reset_token='$token', token_expiry='$expiry' WHERE email='$email' AND voters_reg_no='$voter'";
        $conn->query($update_sql);  // Execute the query to update the token

        // Prepare the reset link that will be sent to the user via email
        $reset_link = "http://127.0.0.1/my_projects/Kayer_Voting_System/reset_password.php?token=" . $token;

        // Initialize PHPMailer to send the reset email
        $mail = new PHPMailer;
        // Server settings for sending the email via Gmail SMTP
        $mail->isSMTP();
        $mail->Host = 'smtp.gmail.com';
        $mail->SMTPAuth = true;
        $mail->Username = 'ocyrusbrianlub015@gmail.com';  // Sender's Gmail address
        $mail->Password = 'scktnnvzvcelynwn';  // Sender's Gmail password (replace with real password)
        $mail->SMTPSecure = 'tls';       // Enable TLS encryption
        $mail->Port = 587;               // TCP port to connect to

        // Recipient details
        $mail->setFrom('ocyrusbrianlub015@gmail.com', 'Africa Renewal University');  // Sender's name and email
        $mail->addAddress($email);  // Add recipient's email (voter's email)

        // Email content
        $mail->isHTML(true);  // Set email format to HTML
        $mail->Subject = 'Password Reset Request (KAYE Online Voting Platform)';  // Email subject
        $mail->Body    = "
                <html>
                <head>
                    <style>
                        
                    </style>
                </head>

                <body>
                    <div style='width: 90%; margin: auto; text-align: center;'> 
                        <img src='https://afru.ac.ug/wp-content/uploads/2024/04/cropped-logo-png.png' style='border-radius: 50%; height: 70px; width: 70px; padding: 1px;' alt='logo'> <br> 
                        <span style='color: maroon; font-size: 16px; margin-bottom: 4px;'><b>AFRICA RENEWAL UNIVERSITY</b></span> <br>
                        <span style='color: maroon; font-size: 14px; margin-bottom: 4px;'><b>KAYE ONLINE VOTING</b></span> <br>
                        <h3 align='center'>Password Reset Request</h3>
                        <hr style='height: 2px; color: #800000;'>
                    </div>
                    <p>Hello <b>$firstname $lastname</b>,</p>

                    <p>We received a request to reset the password for your account on the <b>KAYE Online Voting System - AFRICA RENEWAL UNIVERSITY</b>. <br> 
                    If you made this request, please click the link below to reset your password:</p>
                    <p><a href='$reset_link'>Reset your Password</a></p> <br>

                    <p><b>IMPORTANT:</b> This link is used once and valid for <b>1 hour</b> from the time it was generated. <br>
                    If you did not request a password reset, please disregard this email. Your account remains secure, and no changes will be made.</P>
                    <P>This will help prevent anyone from accessing your account and voting on your behalf.</p>
                    
                    <p>For any further assistance, please feel free to contact us at <a href='mailto:ocyrusbrianlub015@gmail.com'>kvoting@afru.ac.ug</a></p>
                    <p>Thank you for being an important part of this democratic process. Together, we can make a difference!</p>
                    <hr>

                    <p style='color: maroon; font-size: 14px; margin-bottom: 4px; font-weight: bold;'>
                    Best regards,<br>
                    The Online Election Team <br>
                    Africa Renewal University</p>
                </body>
                </html>";

        // Check if the email was successfully sent
        if ($mail->send()) {
            $_SESSION['success'] = 'Check your email for the reset link!';
            header('Location: forgot-password.php');  // Redirect to success page
            exit();
        } else {
            $_SESSION['error'] = 'Error sending email.';
            header('Location: forgot-password.php');  // Redirect to error page
            exit();
        }
    } else {  // If no account is found with the email and voter registration number
        $_SESSION['error'] = 'No account found with that email or registration number.';
        header('Location: forgot-password.php');  // Redirect back to the form
        exit();
    }
}
