<?php
// Database connection

include 'includes/session.php';

// Set headers to force download
header('Content-Type: text/csv; charset=utf-8');
header('Content-Disposition: attachment; filename=Voters CSV Report - KAYE Online Voting.csv');

// Create a file pointer connected to the output stream
$output = fopen('php://output', 'w');

// Output the column headings
fputcsv($output, array('VOTER ID', 'REGISTRATION NUMBER', 'FIRST NAME', 'LAST NAME', 'EMAIL', 'Date Created'));

// Fetch the data from the 'voters' table
$query = "SELECT id, voters_reg_no, firstname, lastname, email, created_on FROM voters";
$result = $conn->query($query);

// Loop through the rows and output them
while ($row = $result->fetch_assoc()) {
    fputcsv($output, $row);
}

// Close the output stream
fclose($output);

// Close database connection
$conn->close();
