<?php
session_start(); // Start session to use session variables
include 'includes/header.php';
?>

<html lang="en">

<head>
    <link rel="stylesheet" href="dist/css/LoginStyle.css">

    <style>
        body {
            /* background-image: url('img/background.jpg'); */
            background-size: cover;
            background-color: maroon;
        }

        .container {
            position: relative;
            display: flex;
            justify-content: center;
            align-items: center;
            width: 400px;
            height: 580px;
            box-shadow: 0 0 20px #000;
            border-radius: 30px;
        }

        p {
            margin-top: 10px;
            color: white;
            font-weight: bold;
        }
    </style>
</head>

<body>
    <div class="container">
        <div class="login-box">
            <div class="login-logo">
                <a href="">
                    <img src="images/favicon.png" style="border-radius: 50%; height: 100px; width: 100px;">
                </a> <br>
                <h2 style="color: white; text-align: center; text-shadow: 2px 2px 5px blue;">
                    <b>Reset Password</b>
                </h2>
            </div>

            <form action="send_reset_link.php" method="POST">


                <?php
                // Display error message, if any
                if (isset($_SESSION['error'])) {
                    echo "
                <div class='alert alert-danger alert-dismissible'>
				    <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
				    <h4><i class='icon fa fa-times'></i> Request Error!</h4>
				    " . $_SESSION['error'] . "
				</div>                
  			";
                    unset($_SESSION['error']);
                }

                // Display success message, if any
                if (isset($_SESSION['success'])) {
                    echo "
				<div class='alert alert-success alert-dismissible'>
				    <button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
				    <h4><i class='icon fa fa-check'></i> Reset Link Successful!</h4>
				    " . $_SESSION['success'] . "
				</div>
			";
                    unset($_SESSION['success']);
                }
                ?>


                <p>To reset your password, submit your student Registration Number and your email address.</p>

                <div class="input-box">
                    <input type="text" name="voter" required>
                    <label>Enter your Registration Number</label>
                </div>

                <div class="input-box">
                    <input type="email" name="email" required>
                    <label>Enter your Email</label>
                </div>

                <button type="submit" class="btn">Send Reset Link</button>

                <div class="forgot-pass">
                    <br><br>
                    <a href="index.php">Return to Login Page</a>
                </div>
            </form>
        </div>
    </div>
</body>

</html>