<?php include 'includes/session.php'; ?>
<?php include 'includes/header.php'; ?>
<style>
	h5 {
		font-size: 56px;
		font-family: fantasy;
		color: white;
		text-align: center;
		text-shadow: 3px 3px 6px red, -2px 2px 15px blue;
		animation: mymove 5s infinite;
	}

	@keyframes mymove {
		50% {
			font-size: 56px;
			color: red;
			text-shadow: -2px -2px 5px yellow, 2px 2px blue;
		}
	}


	/* Spinner styles */
	#spinner {
		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		background-color: rgba(255, 255, 255, 0.8);
		z-index: 1000;
		display: none;
		justify-content: center;
		align-items: center;
	}

	.spinner-icon {
		border: 16px solid #800000;
		/**maroon Spinner */
		border-top: 16px solid #e28484f8;
		border-radius: 50%;
		width: 120px;
		height: 120px;
		position: absolute;
		top: 50%;
		left: 50%;
		margin-right: -50%;
		animation: spin 2s linear infinite;
	}

	@keyframes spin {
		0% {
			transform: rotate(0deg);
		}

		100% {
			transform: rotate(360deg);
		}
	}
</style>

<body class="hold-transition skin-blue layout-top-nav">

	<div id="spinner">
		<div class="spinner-icon"></div>
	</div>


	<div class="wrapper">

		<?php include 'includes/navbar.php'; ?>

		<!--    background effect/ styling-->
		<div class="content-wrapper" style="background-image:  url('images/online_vote.png');
	   background-repeat: repeat-y; background-color: rgba(246,108,108,0.81); ">
			<div class="container">

				<!-- Main content -->
				<section class="content" style="backdrop-filter: blur(2px);">

					<?php
					$parse = parse_ini_file('admin/config.ini', FALSE, INI_SCANNER_RAW);
					$title = $parse['election_title'];
					?>

					<!--              title text style-->
					<h1 class="page-header text-center title" style="color: red;
	      	 text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black, -3px 0 white, 0 3px white, 3px 0 white, 0 -3px white" ;>
						<b><?php echo strtoupper($title); ?></b>
					</h1>


					<div class="row">
						<div class="col-sm-10 col-sm-offset-1">
							<?php
							if (isset($_SESSION['error'])) {
							?>
								<div class="alert alert-danger alert-dismissible">
									<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
									<ul>
										<?php
										foreach ($_SESSION['error'] as $error) {
											echo "
					        					<li>" . $error . "</li>
					        				";
										}
										?>
									</ul>
								</div>
							<?php
								unset($_SESSION['error']);
							}
							if (isset($_SESSION['success'])) {
								echo "
				            	<div class='alert alert-success alert-dismissible'>
				              		<button type='button' class='close' data-dismiss='alert' aria-hidden='true'>&times;</button>
				              		<h4><i class='icon fa fa-check'></i> Success!</h4>
				              	" . $_SESSION['success'] . "
				            	</div>
				          	";
								unset($_SESSION['success']);
							}

							?>

							<div class="alert alert-danger alert-dismissible" id="alert" style="display:none;">
								<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
								<span class="message"></span>
							</div>

							<?php
							$sql = "SELECT * FROM votes WHERE voters_reg_no = '" . $voters_reg_no['id'] . "'";
							$vquery = $conn->query($sql);
							if ($vquery->num_rows > 0) {
							?>

								<div class="text-center ">
									<h5>You have already voted for this <br> election.</h5>
									<a href="#view" data-toggle="modal" class="btn btn-flat btn-primary btn-lg">View My Ballot</a>
									<a href="tally.php" class="btn btn-flat btn-primary btn-lg">View Overall Results</a>
									<a href="chat/users.php" target="_blank" class="btn btn-flat btn-primary btn-lg">Private Chat</a>
								</div>

							<?php


							} else {
							?>
								<!-- Voting Ballot -->
								<div class="pull-right btn btn-warning btn-flat p-0" style="border-radius: 20px 10px; position: sticky; top: 0; overflow: hidden;">
									<h5>Vote Now</h5>
									Time Left:
									<button type="button" class="btn btn-danger btn-flat" style="border-radius: 20px 10px;">
										<i class="fa fa-clock-o"></i> <span id="time">05:00</span>
									</button>
								</div>

								<!-- Voting Ballot -->
								<form method="POST" id="ballotForm" action="">
									<?php
									include 'includes/slugify.php';

									$candidate = '';
									$sql = "SELECT * FROM positions ORDER BY priority ASC";
									$query = $conn->query($sql);
									while ($row = $query->fetch_assoc()) {
										$sql = "SELECT * FROM candidates WHERE position_id='" . $row['id'] . "'";
										$cquery = $conn->query($sql);
										while ($crow = $cquery->fetch_assoc()) {
											$slug = slugify($row['description']);
											$checked = '';
											if (isset($_SESSION['post'][$slug])) {
												$value = $_SESSION['post'][$slug];

												if (is_array($value)) {
													foreach ($value as $val) {
														if ($val == $crow['id']) {
															$checked = 'checked';
														}
													}
												} else {
													if ($value == $crow['id']) {
														$checked = 'checked';
													}
												}
											}
											$input = ($row['max_vote'] > 1) ? '<input type="checkbox" class="flat-red ' . $slug . '" name="' . $slug . "[]" . '" value="' . $crow['id'] . '" ' . $checked . '>' : '<input type="radio" class="flat-red ' . $slug . '" name="' . slugify($row['description']) . '" value="' . $crow['id'] . '" ' . $checked . '>';
											$image = (!empty($crow['photo'])) ? 'images/' . $crow['photo'] : 'images/profile.jpg';
											$candidate .= '
												<li>
													' . $input . '
													<button type="button" class="btn btn-primary btn-sm btn-flat clist platform" data-platform="' . $crow['platform'] . '" data-fullname="' . $crow['firstname'] . ' ' . $crow['lastname'] . '">
													<i class="fa fa-search"></i> Manifesto </button>
													<img src="' . $image . '" height="100px" width="100px" class="clist">
													<span class="cname clist">' . $crow['firstname'] . ' ' . $crow['lastname'] . '</span>
												</li>
											';
										}

										$instruct = ($row['max_vote'] > 1) ? 'You may select up to ' . $row['max_vote'] . ' candidates' : 'Select only one candidate';

										echo '
											<div class="row">
												<div class="col-xs-12">
												
													<div class="box box-solid" id="' . $row['id'] . '"  style="border: 2px dotted maroon; border-radius: 20px; box-shadow: 0 0 15px red; margin: 5px auto">
													
														<div class="box-header with-border" style="background-color: rgb(255,201,201); border-radius: 20px">
															<h3 class="box-title"><b>' . $row['description'] . '</b></h3>
														</div>
														
														<div class="box-body">
															<p>' . $instruct . '
																<span class="pull-right">
																	<button type="button" class="btn btn-success btn-sm btn-flat reset" data-desc="' . slugify($row['description']) . '"><i class="fa fa-refresh"></i> Reset</button>
																</span>
															</p>
															<div id="candidate_list">
																<ul>
																	' . $candidate . '
																</ul>
															</div>
														</div>
														
													</div>
												</div>
											</div>
										';

										$candidate = '';
									}

									?>
									<div class="text-center">
										<button type="button" class="btn btn-success btn-flat" id="preview"><i class="fa fa-file-text"></i> Preview</button>
										<button type="button" class="btn btn-primary btn-flat" id="vote"><i class="fa fa-check-square-o"></i> Submit</button>
									</div>
								</form>

								<!-- End Voting Ballot -->
							<?php
							}

							?>

						</div>
					</div>
				</section>

			</div>
		</div>

		<?php include 'includes/footer.php'; ?>
		<?php include 'includes/ballot_modal.php'; ?>
		<?php //include 'chat/login.php'; 
		?>
	</div>

	<?php include 'includes/scripts.php'; ?>
	<script>
		$(function() {

			// Show spinner on form submission
			$('#ballotForm').on('submit', function() {
				$('#spinner').show(); // Show the spinner when submitting the form
			});

			$('.content').iCheck({
				checkboxClass: 'icheckbox_flat-green',
				radioClass: 'iradio_flat-green'
			});

			$(document).on('click', '.reset', function(e) {
				e.preventDefault();
				var desc = $(this).data('desc');
				$('.' + desc).iCheck('uncheck');
			});

			$(document).on('click', '.platform', function(e) {
				e.preventDefault();
				$('#platform').modal('show');
				var platform = $(this).data('platform');
				var fullname = $(this).data('fullname');
				$('.candidate').html(fullname);
				$('#plat_view').html(platform);
			});

			$('#preview').click(function(e) {
				e.preventDefault();
				var form = $('#ballotForm').serialize();
				if (form == '') {
					$('.message').html('You must vote atleast one candidate');
					$('#alert').show();
				} else {
					$.ajax({
						type: 'POST',
						url: 'preview.php',
						data: form,
						dataType: 'json',
						success: function(response) {
							if (response.error) {
								var errmsg = '';
								var messages = response.message;
								for (i in messages) {
									errmsg += messages[i];
								}
								$('.message').html(errmsg);
								$('#alert').show();
							} else {
								$('#preview_modal').modal('show');
								$('#preview_body').html(response.list);
							}
						}
					});
				}

			});

		});
	</script>
</body>

</html>