<?php
session_start();
if (isset($_SESSION['admin'])) {
	header('location: admin/home.php');
}

if (isset($_SESSION['voter'])) {
	header('location: home.php');
}
?>
<?php include 'includes/header.php'; ?>

<body class="hold-transition login-page" style="background-color: maroon">
	<div class="login-box">
		<div class="login-logo">
			<a href="admin/"><img src="images/favicon.png" style="border-radius: 50%; height: 100px; width: 100px;"></a> <br>
			<h3 style="color: white"><b>KAYE Online Voting</b></h3>
		</div>

		<div class="login-box-body"
			style="
            border-top-left-radius: 20%;
            border-bottom-right-radius: 30%;
            box-shadow: 0 0 20px #fff;
         ">
			<p class="login-box-msg"><b>Sign in to start your Voting Session</b></p>

			<?php
			if (isset($_SESSION['error'])) {
				echo "
  				<div class='callout callout-danger text-center'>
			  		<p>" . $_SESSION['error'] . "</p> 
			  	</div>
  			";
				unset($_SESSION['error']);
			}
			?>

			<form action="login.php" method="POST">
				<div class="form-group has-feedback">
					<input type="text" class="form-control" name="voter" placeholder="Registration No" required>
					<span class="glyphicon glyphicon-user form-control-feedback"></span>
				</div>

				<div class="form-group has-feedback">
					<input type="password" class="form-control" name="password" placeholder="Password" required>
					<span class="glyphicon glyphicon-lock form-control-feedback"></span>
				</div>

				<div class="form-group has-feedback">
					<a href="forgot-password.php" target="_blank">
						<span class="glyphicon glyphicon-alert"> </span> Forgot Login Password?</a>
				</div>

				<div class="row">
					<div class="col-xs-4">
						<button type="submit" class="btn btn-primary btn-block btn-flat" name="login" style="border-radius: 20px;"><i class="fa fa-sign-in"></i> Sign In</button>
					</div>
				</div>
			</form>
		</div>

	</div>

	<?php include 'includes/scripts.php' ?>
</body>

</html>