<?php

include 'includes/session.php';
include 'includes/slugify.php';

$output = array('error' => false, 'list' => '');

$sql = "SELECT * FROM positions";
$query = $conn->query($sql);

while ($row = $query->fetch_assoc()) {
	$position = slugify($row['description']);
	$pos_id = $row['id'];
	if (isset($_POST[$position])) {
		if ($row['max_vote'] > 1) {
			if (count($_POST[$position]) > $row['max_vote']) {
				$output['error'] = true;
				$output['message'][] = '<li>You can only choose ' . $row['max_vote'] . ' candidates for ' . $row['description'] . '</li>';
			} else {
				foreach ($_POST[$position] as $key => $values) {
					$sql = "SELECT * FROM candidates WHERE id = '$values'";
					$cmquery = $conn->query($sql);
					$cmrow = $cmquery->fetch_assoc();
					$output['list'] .= "
							<div class='row votelist'>
		                      	<div class='col-sm-4 col-md-6 col-lg-8'> <b>" . $row['description'] . " :</b> </div> 
		                      	<div class='col-sm-8 col-md-6 col-lg-4'> " . $cmrow['firstname'] . " " . $cmrow['lastname'] . " </div> <br>
		                    </div>
						";
				}
			}
		} else {
			$candidate = $_POST[$position];
			$sql = "SELECT * FROM candidates WHERE id = '$candidate'";
			$csquery = $conn->query($sql);
			$csrow = $csquery->fetch_assoc();
			$output['list'] .= "
					<div class='row votelist'>
                      	<div class='col-sm-4 col-md-6 col-lg-8'> <b>" . $row['description'] . " :</b> </div> 
                      	<div class='col-sm-8 col-md-6 col-lg-4'> " . $csrow['firstname'] . " " . $csrow['lastname'] . " </div> <br>
                    </div>
				";
		}
	}
}

echo json_encode($output);
